Search documentation of bb

# BB.Error.Hardware.DeviceError exception (bb v0.17.0)

Copy Markdown View Source

Error reported by the hardware device itself.

Raised when a device reports an error condition through its protocol.

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.Hardware.DeviceError` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Hardware.DeviceError{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      description: term(),
      device: term(),
      error_code: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Hardware.DeviceError` without raising it.

## Keys

- :device
- :error_code
- :description